:host {
}

.digi-media-image {
  position: relative;
  display: inline-flex;
  max-width: 100%;
  height: 0px;

  &.digi-media-image--aspect-ratio {
    width: var(--digi--media-image--width);
    height: unset;
  }

  &.digi-media-image--loaded {
    height: unset;
  }

  &.digi-media-image--fullwidth {
    width: 100%;
  }

  &.digi-media-image--unlazy:not(.digi-media-image--aspect-ratio) {
    height: unset;
  }
}

.digi-media-image__observer {

  .digi-media-image--aspect-ratio & {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
  }
}

.digi-media-image__padded-box {
  display: inline-block;
  padding-top: var(--digi--media-image--padded-box, 0);
  height: 0;
}

.digi-media-image__image {
  max-width: 100%;
  height: auto;
  opacity: 0.06;
  filter: saturate(0);
  transition: opacity 0.2s, filter 0.4s;

  .digi-media-image--loaded & {
    opacity: 1;
    filter: saturate(1);
  }

  .digi-media-image--unlazy & {
    transition: none;
    opacity: 1;
    filter: none;
  }

  .digi-media-image--fullwidth & {
    width: 100%;
  }

  .digi-media-image--aspect-ratio & {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }
}
